:root {
  --screen-tablet: 768px;
  --screen-pc: 1280px;

  --primary-color: #0d5611;
  --primary-light-color: #f0f0e5;
  --primary-light-color2: #e4c7b8;
  --primary-dark-color: #0d5611;
  /* 기본 라이트 모드 색상 변수 */
  --primary-background: #fff;
  --secondary-background: rgba(241, 245, 249, 1);
  --tertiary-background: linear-gradient(
    90deg,
    rgba(13, 86, 17, 0.9) 25%,
    rgba(13, 86, 17, 0.6) 100%
  );
  --primary-active-background: var(--primary-color);

  --aside-background-color: #fff;
  --header-background-color: #fff;

  --primary-border: rgba(226, 232, 240, 1);
  --primary-active-border: var(--primary-color);

  --primary-box-shadow: 0 4px 8px -2px rgba(0, 0, 0, 0.1);

  --font-color-100: #f5f5f5;
  --font-color-200: #e5e5e5;
  --font-color-300: #d4d4d4;
  --font-color-400: #a3a3a3;
  --font-color-500: #757575;
  --font-color-600: #525252;
  --font-color-700: #404040;
  --font-color-800: #262626;
  --font-color-900: #171717;
  --font-color-white: #ffffff;
  --font-color-black: #000000;

  --font-active-color: var(--primary-color);

  --input-background-color: #fff;
  --input-active-background-color: #f8f9fa;
  --input-border-color: rgba(226, 232, 240, 1);
  --input-active-border-color: var(--primary-color);

  --button-background-color: #fff;
  --button-active-background-color: var(--primary-color);
  --button-border-color: rgba(203, 213, 225, 1);
  --button-active-border-color: var(--primary-color);
  --button-text-color: #334155;
  --button-active-text-color: #ffffff;

  --button-background-color-2: #ff0b23;
  --button-active-background-color-2: #fff;
  --button-border-color-2: #ff0b23;
  --button-active-border-color-2: #ff0b23;
  --button-text-color-2: #fff;
  --button-active-text-color-2: #ff0b23;

  --button-background-color-3: #e5e7eb;
  --button-active-background-color-3: #e5e7eb;
  --button-border-color-3: #e5e7eb;
  --button-active-border-color-3: #444;
  --button-text-color-3: #475569;
  --button-active-text-color-3: #475569;

  --tooltip-background: #4c1d95;
  --tooltip-font-color: #f5f5f5;
  --tooltip-box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1);
}

/*
@media (prefers-color-scheme: dark) {
	:root {
		--background-color: #121212;
		--text-color: #ffffff;
		--header-background-color: #1a1a1a;
		--button-background-color: #007bff;
		--button-text-color: #ffffff;
	}
}
*/
